package com.wuni.util.valueobject.openday;

import java.util.ArrayList;

import lombok.Getter;
import lombok.Setter;

@Getter@Setter
public class OpendaysVO {
  private String collegeId = null;
  private String collegeName = null;
  private String collegeNameDisplay = null;
  private String opendayCount = null;
  private String opendayExternalUrl = null;
  private String nextOpenday = null;
  private String opendayText = null;
  private String opendayType = null;
  private String opendayDate = null;
  private String collegeLocation = null;
  private String headline = null;
  private String opendayVenue = null;
  private String opendayDesc = null;
  private String reviewCount = null;
  private String overAllRating = null;
  private String overAllRatingExact = null;
  private String mediaId;
  private String mediaPath = null;
  private String mediaTypeId = null;
  private String mainHeading = null;
  private String subHeading = null;
  private String subTitleUrl = null;
  private String pullQuotes = null;
  private String collegeInBasket = null;
  private String openDayMonthYear = null;
  private String openDayMonthYearDesc = null;
  private String opeyDayMonthYearStatus = null;
  private String openDate = "";
  private String opendayDetails = "";
  private String collegeLogo = "";
  private String totalCount = "";
  private String homeHeroImageId = "";
  private String orderItemId = "";
  private String title = "";
  private String subTitle = "";
  private String imageUrl = "";
  private String startDate = "";
  private String expiryDate = "";
  private String status = "";
  private String createdDate = "";
  private String updatedDate = "";
  private String opendaysProviderURL = "";
  private String opdProviderImage = "";  
  private String monthYear = "";
  private String monthFullYear = "";
  private String odStatus = "";
  private String weeks = "";
  private String endDate = "";
  private String days = "";
  private ArrayList openDaysWeekInfoList = null;
  private ArrayList openDaysUpComingList = null;
  private String daysPosition = "";
  private String currentMonth = "";
  private String linkFlag = "";    
  //
  private String openDayMonthYearSel = null;
  private String eventId = null;
  private String eventDesc = null;
  private String startTime = null;
  private String endTime = null;
  private String bookingUrl = null;
  private String qualId = null;
  private String qualDesc = null;
  private String organizationName = null;
  private String collegeLandingUrl = null;
  private String uniReviewsURL = null;
  private String opendayExist = null;
  private String regionName = null;
  private String rowNum = null;
  private String openDayHeadingDesc = null;
  private String openDayStatus = null;
  private String heroSnippetUrl = null;
  private String stDateTimeStamp = null;
  private String edDateTimeStamp = null;
  private String networkId = null;
  private String websitePrice = null;
  private String userId = null;
  private String weekendFlag = null;
  private String startDateTime = null;
  private String endDateTime = null;
  private String eventCalenderItemId = null;
  private String url = null;
  private String subOrderItemDetailsStr = null;
  private String openDay = null;
  private String openMonth = null;
  private String suborderItemId = null;
  private String logoPath = null;
  private String qualType = null;
  private String openMonthYear = null;
  private String reservePlaceFlag = null;
  private ArrayList openDaysProviderResultList = null;
  private String basketId = null;
  private String stOpenDayStartDate; 
  private String stOpenDayEndDate;
  private String eventCategoryName;
  private String eventCategoryId;
  private String randomNumber;
  private String eventDate;
  //
}
